package de.hft.geotracker

import android.content.Intent
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

/**
 * A simple [Fragment] subclass.
 */
class Login  : AppCompatActivity() {
    lateinit var login : TextView
    lateinit var reg : TextView
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)
        login = findViewById(R.id.button_create_account)
        login.setOnClickListener {
            login()
        }
        reg = findViewById(R.id.button_register)
        reg.setOnClickListener {
            register()
        }
    }

    private fun register() {
        val intent = Intent(this, Register::class.java)
        startActivity(intent)
    }

    private fun login() {
        val intent = Intent(this, MainActivity::class.java)
        startActivity(intent)
    }
}
